function y=laurens0(u);

global global KPD_laurens FPD_laurens mom_max_bobine cpl_max_roue


% Le vecteur entre est  12 composantes
% u(1:3) est le vecteur drive pulse du champ magntique B' ( B'x B'y B'z ) en axes satellite
% u(4:6) est le vecteur champ B (Bx By Bz en axes satellite

% u(7:9) en colonne est le champ magntique de consigne

% u(10:12) en colonne est la drive temporelle du champ de consigne ( B'c )


% **********************************************************
% La fonction retourne les moments magntiques mx, my, et  mz
% **********************************************************

% Sparation des vecteurs

B_prime(1:3)=u(1:3);   % en colonne Drive pulse

B(1:3)=u(4:6);         % en colonne Champ magntique puls

Bc=u(7:9);             % en colonne Champ magntique de consigne

Bc_prime=u(10:12);     % en colonne Drive du champ de consigne

% ********  CALCUL DU COUPLE MAGNETIQUE INITIAL  ****************

NB=norm(B)^2;

M_init=(KPD_laurens*Bc+FPD_laurens*(Bc_prime-B_prime'))/NB;

% ********  CALCUL DU MOMENT MAGNETIQUE FINAL ECONOMIQUE  ****************
%           AVEC UNIQUEMENT LA PARTIE NORMALE AU CHAMP B

M=M_init-(M_init'*B')*B'/NB;

% ***********CALCUL DES 3 MOMENTS MAGNETIQUES ****************

Mxx=M(1);

Myy=M(2);

Mzz=M(3);

% ***CALCUL DU MOMENT MAGNETIQUE FINAL ECONOMIQUE REDUIT PROPORTIONNELLEMENT ******


coeff=max([1 abs(Mxx)/mom_max_bobine abs(Myy)/mom_max_bobine abs(Mzz)/mom_max_bobine]);

mx=Mxx;
my=Myy;
mz=Mzz;

% Sortie du moment magntique  " dans les clous "

y=[mx my mz]';

end

%  **** Fin programme  ****












 