function y=saturmm2(u);

global couple_max_roue moment_max_bobine

% Cette fonction gre les problmes de saturation soit des magntocoupleurs
% soit de la roue, soit des deux quand ils fonctionnent ensemble.
% Dans le cas prsent c'est la bobine roulis, la bobine lacet et la roue tangage
% qui sont traits en parallle, de manire  oprer une saturation, non pas 
% individuelle mais proportionnelle, afin de respecter les conditions mathmatiques
% de la rgulation.

% Variable d'entre u  3 composantes:
%	mz moment magntique primitif de la bobine roulis
% 	my moment magntique primitif de la bobine lacet
%	Croue couple roue primitif de la roue

mz=u(1);
my=u(2);
Croue=u(3);


maxi=[abs(my/moment_max_bobine),abs(mz/moment_max_bobine),abs(Croue/couple_max_roue)];

coeff_max=max(maxi);

if coeff_max>1

   mzz=mz/coeff_max;
   myy=my/coeff_max;
   Cr=Croue/coeff_max;

else

  myy=my;
  mzz=mz;
  Cr=Croue;

end

% En sortie la fonction retourne les valeurs des moments ou couple dans la plage admissible
% Ces valeurs remplacent les valeurs primitives calcules avec notamment les PID

y=[myy mzz Cr]';  % Matrice vecteur colonne

 
end